[
{
    blockid=expire;
    help=store_expire_expire;
    custom=com.netscape.management.msgserv.StoreExpireControl;
    localvar={
	/* translate this block */
	.header.text="Modalit\u00e9s de suppression automatique des messages (Expiration/\u00c9limination)";
	.rules.text="R\u00e8gles d'expiration";
	.col0.header="Exclusive";
	.col1.header="Nom";
	.col2.header="Cible";
	.col3.header="Taille dossier";
	.col4.header="Nombre";
	.col5.header="Anciennet\u00e9";
	.col6.header="Taille msg";
	.col7.header="D\u00e9lai autoris\u00e9";
	.col8.header="Consult\u00e9";
	.col9.header="Supprim\u00e9";
	.rule.help="R\u00e8gles d'expiration de la m\u00e9moire de messages";
	.save.error="\u00c9chec d'enregistrement des param\u00e8tres de la r\u00e8gle d'expiration";
	
        .sched.title="Calendrier d'expiration/\u00e9limination";
        .sched.expire.text="Ex\u00e9cuter la t\u00e2che d'expiration ";
        .sched.purge.text="Ex\u00e9cuter la t\u00e2che d'\u00e9limination (par d\u00e9faut : apr\u00e8s l'expiration) ";
        .sched.month=["Chaque","1","2","3","4","5","6","7","8","9","10","11","12"];
        .sched.monthlabel="mois de l'ann\u00e9e";
        .sched.dofmth=["Chaque","1","2","3","4","5","6","7","8","9","10","11","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31"];
        .sched.dofwk=["Chaque","0","1","2","3","4","5","6"];
        .sched.dofmthlabel="jour(s) du mois";
        .sched.dofwklabel="jour(s) de la semaine";
        .sched.hour=["Chaque","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23"];
        .sched.min =["Chaque","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59"];
        .sched.hourlabel="heure(s) du jour";
        .sched.minlabel="minute(s) de l'heure";	
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.header.text;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=rulelabel;
		    text=$.rule.help;
		},
		{
		    ctrl=table;
		    id=ruletable;
		    label=rulelabel;
		    showedit=true;
  		    addtext=$g.addbutton.text;
	            edittext=$g.editbutton.text;
		    deltext=$g.deletebutton.text;
		    columns=[
			{
			    header=$.col0.header;
			    renderer=boolean;
			    editor=boolean;
			    width=30;
			},
			{
			    header=$.col1.header;
			    width=70;
			},
			{
			    header=$.col2.header;
			    width=90;
			},
			{
			    header=$.col3.header;
			    width=80;
			},
			{
			    header=$.col4.header;
			    width=50;
			},
			{
			    header=$.col5.header;
			    width=30;
			},
			{
			    header=$.col6.header;
			    width=50;
			},
			{
			    header=$.col7.header;
			    width=30;
			},
			{
			    header=$.col8.header;
			    width=30;
			},
			{
			    header=$.col9.header;
			    width=30;
			}			
		    ];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$.sched.title;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{ /** expire/purge schedule pane **/
		    ctrl=pane;
		    layout=[ybox];
		    border=$.sched.border;
		    content=[
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=label;
			    		id=expirelabel;
			    		text=$.sched.expire.text;
			    		wrap=$g.label.size1;
			    	},
			    	{
			    		ctrl=hglue;
			    	}

			   ]
			},		    
		 	{			
			    ctrl=pane;
			    
			    content=[
			    	{
			    		ctrl=hglue;
			    	},
			    	{ 
			    		ctrl=text;
			    		id=expiremonth;
					val="*";
			    		label=expirelabel;			    	
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.monthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			        {
			        	ctrl=hglue;
			        },
			    	{ 
			    		ctrl=text;
			    		id=expiredofmth;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofmthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expiredofwk;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofwklabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expirehour;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.hourlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=expiremin;
					val="*";
			    		label=expirelabel;			    		
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.minlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=separator;
			},
			{
			    ctrl=vstrut;
			},
			/* purge schedule */
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=label;
			    		id=purgelabel;
			    		text=$.sched.purge.text;
			    		wrap=$g.label.size5;
			    	},
			    	{
			    		ctrl=hglue;
			    	}

			   ]
			},		    
		 	{			
			    ctrl=pane;
			    content=[
			    	{
			    		ctrl=hglue;
			    	},
			    	{ 
			    		ctrl=text;
			    		id=purgemonth;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.monthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			        {
			        	ctrl=hglue;
			        },
			    	{ 
			    		ctrl=text;
			    		id=purgedofmth;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofmthlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgedofwk;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.dofwklabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgehour;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.hourlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			},
		 	{			
			    ctrl=pane;
			    content=[
			     	{
			     		ctrl=hglue;
			     	},
			    	{ 
			    		ctrl=text;
			    		id=purgemin;
					val="*";
			    		label=purgelabel;
			    	},
			    	{
			    		ctrl=rigid;
			    	},
			    	{
			    		ctrl=label;
			    		text=$.sched.minlabel;
			    		wrap=$g.label.size1;
			    	}
			   ]
			}																			
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editrule;
    help=store_expire_editrule;
    localvar={
	/* translate this block */
	.name.text="Nom :";
	.target.text="Appliquer aux dossiers qui correspondent au mod\u00e8le suivant :";
	.folder.title="Contrainte de taille du dossier";
	.sizelimit.text="Supprimer les messages les plus anciens jusqu'\u00e0 v\u00e9rification des conditions suivantes.";
	.num.text="Nombre de messages :";
	.msgage.text="Contrainte d'anciennet\u00e9 des messages";
	.agelimit.text="Supprimer du dossier les messages qui ont d\u00e9pass\u00e9 le nombre de jours autoris\u00e9.";
	.msgsize.title="Contrainte de taille de message";
	.msizelimit.text="Supprimer les messages dont la taille est sup\u00e9rieure \u00e0 la limite et qui ont d\u00e9pass\u00e9 le d\u00e9lai autoris\u00e9.";
	.days.text="Nombre de jours :";
	.days.labels=["Jour(s)"];
	.exclusive.help="Rendre la r\u00e8gle exclusive pour les dossiers qui correspondent au mod\u00e8le ci-dessus.";
	.exclusive.text="Exclusive";

	.size.text="Taille du dossier :";
	.size.labels=["kilo-octet(s)","m\u00e9ga-octet(s)"];
	.msgsize.text="Taille limite du message :";
	.msgsize.labels=["kilo-octet(s)","m\u00e9ga-octet(s)"];
	.sizeday.labels=["Jour(s)"];
	.sizeday.text="D\u00e9lai autoris\u00e9 :";
        .purge.labels=["Heure(s)"];
	.purge.text="Heure d'\u00e9limination :";

        .msgflags.title="Contrainte des indicateurs de message";
        .msgflags.text="Supprimer les messages en fonction des valeurs des indicateurs suivants.";
        .msgflags.seen.text="Consult\u00e9 :";
        .msgflags.deleted.text="Supprim\u00e9 :";
        .msgflags.vals=["et","ou"];
        .msgflags.labels=["et toutes les contraintes","ou toutes les contraintes"];
        
        .usrheader.title="Contrainte d'en-t\u00eate";
        .usrheader.text="Entrez des valeurs d'en-t\u00eates personnalis\u00e9es, s\u00e9par\u00e9es par des virgules.";
        
        
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=namelabel;
			    text=$.name.text;
			    wrap=$g.label.size0;
			    aligny=0.5;
			},
			{
			    ctrl=text;
			    label=namelabel;
			    val=$name;
			    aligny=0.5;
			    focus=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=targetlabel;
		    text=$.target.text;
		    wrap=$g.label.size4;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=text;
		    label=targetlabel;
		    val=$Folderpattern;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    text=$.exclusive.text;
		    val=$Exclusive;
		    content=[
			{
			    ctrl=label;
			    text=$.exclusive.help;
			    wrap=$g.label.size5;
			    candisable=false;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.folder.title;
		    val=$.folder.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.sizelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=numlabel;
				    text=$.num.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=numlabel;
				    val=$Messagecount;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=sizelabel;
				    text=$.size.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=sizelabel;
				    val=$Foldersizebytes;
				    items=[kb,mb];
				    labels=$.size.labels;
				    unit=byte;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.msgage.text;
		    val=$.msgage.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.agelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=dayslabel;
				    text=$.days.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=dayslabel;
				    val=$Messagedays;
				    labels=$.days.labels;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}
		    ]
		},
		{
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.msgsize.title;
		    val=$.msgsize.flag;
		    content=[
			{
			    ctrl=label;
			    text=$.msizelimit.text;
			    wrap=$g.label.size5;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=msgsizelabel;
				    text=$.msgsize.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=msgsizelabel;
				    val=$Messagesize;
				    items=[kb,mb];
				    labels=$.msgsize.labels;
				    unit=byte;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=sizedaylabel;
				    text=$.sizeday.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=number;
				    label=sizedaylabel;
				    val=$Messagesizedays;
				    labels=$.sizeday.labels;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}

		    ]
		},
                { /** message flags pane **/
                    ctrl=togglepane;
                    layout=[ybox];
                    text=$.msgflags.title;
                    val=$.msgflags.flag;
                    content=[
                        {
                            ctrl=label;
                            text=$.msgflags.text;
                            wrap=$g.label.size5;
                        },
                        {
                            ctrl=vstrut;
                        },
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=seenlabel;
				    text=$.msgflags.seen.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=choice;
				    label=seenlabel;
				    labels=$.msgflags.labels;
				    items=$.msgflags.vals;
				    
				    val=$Seen;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=pane;
			    content=[
				{
				    ctrl=label;
				    id=deletedlabel;
				    text=$.msgflags.deleted.text;
				    wrap=$g.label.size1;
				    aligny=0.5;
				},
				{
				    ctrl=rigid;
				},
				{
				    ctrl=choice;
				    label=deletedlabel;
				    labels=$.msgflags.labels;
				    items=$.msgflags.vals;
				    val=$Deleted;
				    aligny=0.5;
				    allowempty=true;
				},
				{
				    ctrl=hglue;
				}
			    ]
			}			
                        
  		    ]
		},
		{ /** user-defined constraint pane **/
		    ctrl=togglepane;
		    layout=[ybox];
		    text=$.usrheader.title;
		    val=$.usrheader.flag;
		    content=[
		 	{			
			    ctrl=label;
			    id=usrheaderlabel;
			    text=$.usrheader.text;
			    wrap=$g.label.size4;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=text;
			    label=usrheaderlabel;
			    val=$Usrheader;
			},   
			{
			    ctrl=hglue;
			}		    

		    ]
		},

		{
		    ctrl=vstrut;
		}
	    ]
	}
    ]
}
]
